package cn.pluss.platform.home;

import cn.pluss.platform.entity.Fans;
import cn.pluss.platform.entity.MerchantOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface HomeService {

    //商户数量
    Integer queryMerchantBaseInfoPageCount(Map map);
    //商户的粉丝总数量
    Integer queryMerchantFansCount(Map map);
    //商户的粉丝今日数量
    Integer queryTodayFanCount(Map<String, Object> fansMap);
    //交易总额
    Double getOrderFeeSum1(Map<String, Object> orderMap);
    //总交易笔数
    Integer queryMerchantOrderPageCount(Map map);
    //会员总数量
    Integer manageQueryMerchantMenberPageCount(Map map);
    //会员总余额
    Double manageMerchantMenberSum(Map<String, Object> newMemberMap);
    //粉丝分润总额
    List<Fans> queryFansList(Fans fans);
    //日交易额，今日/昨日
    Double getToDayTransSum1(Map<String, Object> orderMap);
    //日支付宝交易额，今日/昨日
    Double toDayTransZfbSum(Map<String, Object> orderMap);
    //日微信交易额，今日/昨日
    Double toDayTransWxSum(Map<String, Object> orderMap);
    //云闪付交易额，今日/昨日
    Double toDayTransYsfSum(Map<String, Object> orderMap);
    //日支付宝交易笔数，今日/昨日
    Integer toDayTransZfbCount(Map<String, Object> orderMap);
    //日微信交易笔数，今日/昨日
    Integer toDayTransWxCount(Map<String, Object> orderMap);
    //日云闪付交易笔数，今日/昨日
    Integer toDayTransYsfCount(Map<String, Object> orderMap);
    //日退款金额，今日/昨日
    List<MerchantOrder> queryMerchantOrderPage(Map map);
    //粉丝奖励总数
    public Double queryFansTodayCount(Fans fans);
    //新增会员数
    Integer queryMerchantMenberPageCount(Map map);
    //推广分润总额
    Double queryMerchantProfitSumPrice(Map<String, Object> merchantCodeMap);
    //推广员数量
    Integer queryUserAppPageCount(Map<String, Object> appMap);
    //推广商户数量
    Integer queryMerchantCount(Map<String, Object> merchantMap);
}
